<?php

namespace Controller;

use Symfony\Component\Routing\Annotation\Route;

/**
 * Class BlogController
 * @package Controller
 */
class BlogController extends Controller
{

    /**
     * @Route("blog-header", name="blog_header")
     *
     * @return mixed
     */
    public function header()
    {
        return $this->render('layout/header.tpl');
    }

    /**
     * @Route("/blog-footer", name="blog_footer")
     *
     * @return mixed
     */
    public function footer()
    {
        $footerController = new FooterController($this->request);

        return $footerController->display();
    }
}