<?php

class Statut extends Model {

    protected $table = 'commande_statut';

    function get($formvars = array(), $champs = "") {

        $sql = "SELECT *";
        $sql.=" FROM (commande_statut cs)";
        $sql.=" LEFT JOIN commande_statut_nom csn ON (csn.commande_statut_id = cs.commande_statut_id)";
        if (!empty($formvars['commande_id']))
            $sql.=" LEFT JOIN commande c ON (c.langue_id = csn.langue_id)";
        $sql.=" WHERE 1";

        if (!empty($formvars['commande_statut_id']))
            $sql.=" AND cs.commande_statut_id = '" . $formvars['commande_statut_id'] . "'";
        if (!empty($formvars['statut']))
            $sql.=" AND cs.commande_statut_id = '" . $formvars['statut'] . "'";
        if (!empty($formvars['commande_id']))
            $sql.=" AND c.commande_id = '" . $formvars['commande_id'] . "'";

        $sql.=" ORDER BY cs.commande_statut_id";

        if (empty($champs)) {
            return $this->sql->getAll($sql);
        } else {
            $result = $this->sql->getOne($sql);
            return $result[$champs];
        }
    }

    /**
     * @param array $formvars
     * @param string $champs
     * @return null
     *
     * recup ddes infos des options statut
     */
    function getOption($formvars = array(), $champs = "") {

        $sql = "SELECT c.commande_id, cso.commande_statut_option_id, cson.commande_statut_option_nom_nom, cson.commande_statut_option_nom_email";
        $sql.=" FROM (commande_statut_option cso)";
        $sql.=" LEFT JOIN commande_statut_option_nom cson ON (cson.commande_statut_option_id = cso.commande_statut_option_id)";
        $sql.=" LEFT JOIN commande c ON (c.langue_id = cson.langue_id)";
        $sql.=" WHERE 1";

        if (!empty($formvars['commande_statut_id']))
            $sql.=" AND cso.commande_statut_id = '" . $formvars['commande_statut_id'] . "'";
        if (!empty($formvars['commande_id']))
            $sql.=" AND c.commande_id = '" . $formvars['commande_id'] . "'";

        $sql.=" ORDER BY cso.commande_statut_option_rang";

        if (empty($champs)) {
            return $this->sql->getAll($sql);
        } else {
            $result = $this->sql->getOne($sql);
            return $result[$champs];
        }
    }
}