{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/wishlist-->

    {* //WISHLIST - Header *}
    <div class="wishlistHeader">
        <h1 class="titleLvl4">{txt value="Mes produits favoris" key="menu_compte_mes_produits_favoris"}</h1>
        <h2 class="titleLvl2">
            <span>{$arrProd|count}</span> {txt value="produit(s) sauvegardé(s)"}
        </h2>

    </div>
    {* WISHLIST - Header// *}

    {* //WISHLIST - Body *}
    <div class="wishlistBody">
        <div class="row">
            {foreach $arrProd as $produit}
                <div class="col-xs-6 col-sm-4">
                    {include file="product/listing_wishlist.tpl" produt=$produit}
                </div>
            {foreachelse}
                <div class="col-xs-12">
                    <div class="msginfo clearfix">
                        <p>{txt value="Aucun produit favoris"}</p>
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
    {* WISHLIST - Body// *}
    
{/block}

{block name="script-js"}
    <script type="text/javascript">
        $(document).ready(function(){
            var panier = new Panier();

            $('button#addProduit').on('click', function(event){
                event.preventDefault();
                var produitId = $(this).data("produit-id");
                var nForm = $('form#form-add-cart-'+produitId);
                panier.add(nForm);
            });
            var toToggle = $('div#modalAddNews');
            $(toToggle).on('hidden.bs.modal',function () {
                location.reload();
            });
        });
    </script>
{/block}