'use strict';

module.exports = {
    css: '../../web/shop-by-dedi/css/',
    cssDev: 'assets/css/',
    scss: 'assets/scss/',
    js: '../../web/shop-by-dedi/js/',
    jsDev: 'assets/js/',
    images: '../../web/shop-by-dedi/images/',
    imgDev: 'assets/imgDev/',
    imgRetina: 'assets/imgDev/imgRetina/',
    tplSprite: 'assets/tools/',
    tpl: 'templates/',
    versionBrowsers: 'last 2 versions',
    srv: 'http://www.sbd.local/',
    //Liste de tous les JS a concaténer + minifier
    concatJsScripts: [
        'node_modules/jquery/dist/jquery.js',
        'node_modules/jquery-ui-dist/jquery-ui.js',
        'node_modules/jquery-ui/ui/i18n/datepicker-fr.js',
        'node_modules/popper.js/dist/umd/popper.js',
        'node_modules/bootstrap/dist/js/bootstrap.js',
        'node_modules/bootstrap-select/dist/js/bootstrap-select.js',
        'node_modules/owl.carousel/dist/owl.carousel.js',
        'node_modules/simplebar/dist/simplebar.js',
        'assets/js/main.js'
    ],
    //Liste de tous les CSS a concaténer + minifier
    concatCssScripts: [
        'node_modules/jquery-ui-dist/jquery-ui.css',
        'node_modules/bootstrap-select/dist/css/bootstrap-select.css',
        'node_modules/owl.carousel/dist/assets/owl.carousel.css',
        'node_modules/simplebar/dist/simplebar.css',
        'assets/css/main.css'
    ]
};