<?php

use Phinx\Migration\AbstractMigration;

class InsertPaiement extends AbstractMigration
{
    public function up()
    {
        $paiement = array(
            array('paiement_id' => '2','paiement_rang' => '10','paiement_image' => '/media/paiement/cheque.png','actif_id' => '1','paiement_total_debut' => '0.01','paiement_total_fin' => '100000.00','paiement_type' => 'passif','paiement_class' => '','commande_statut_id' => '1'),
            array('paiement_id' => '3','paiement_rang' => '30','paiement_image' => '/media/paiement/virement_bancaire.png','actif_id' => '1','paiement_total_debut' => '0.01','paiement_total_fin' => '100000.00','paiement_type' => 'passif','paiement_class' => '','commande_statut_id' => '1')
        );

        $this
            ->table('paiement')
            ->insert($paiement)
            ->save();

        $paiement_boutique = array(
            array('paiement_boutique_id' => '28','paiement_id' => '2','boutique_id' => '1','paiement_boutique_statut_id' => '1'),
            array('paiement_boutique_id' => '30','paiement_id' => '3','boutique_id' => '1','paiement_boutique_statut_id' => '1')
        );

        $this
            ->table('paiement_boutique')
            ->insert($paiement_boutique)
            ->save();

        $paiement_nom = array(
            array('paiement_nom_id' => '2','paiement_id' => '2','paiement_nom_nom' => 'Chèque','paiement_nom_description' => 'R&eacute;gler votre commande par ch&egrave;que, votre commande sera trait&eacute;e &agrave; r&eacute;ception de votre r&egrave;glement','paiement_nom_txt_template' => '<p>1 - Libellez votre ch&egrave;que &agrave; l\'ordre de <strong>MA SOCIETE</strong>.&nbsp;</p>
<p style="text-align: left;"><br />2 - Inscrivez votre <strong>adresse e-mail</strong> et la <strong>r&eacute;f&eacute;rence de commande</strong> au dos du ch&egrave;que <br /><br />3 - Envoyer le tout par courrier &agrave; :</p>
<p style="text-align: left;">&nbsp;</p>
<p style="text-align: left;"><span style="text-align: center; display: block; color: #804200;"><strong>SARL MA SOCIETE</strong><strong><br /></strong><strong>1 Boulevard XXX</strong></span><span style="text-align: center; display: block; color: #804200;"><strong>69006 Lyon - France</strong></span><span style="text-align: center; display: block; color: #96a519;"><br /></span></p>
<p style="border: 1px solid #804200; width: 70%; margin-left: auto; margin-right: auto; padding-left: 50px; padding-top: 10px; padding-bottom: 10px; text-align: left;"><span style="color: #000000;"><strong>Montant &agrave; r&eacute;gler : <span class="value_paiement">%MONTANT% &euro;</span> </strong><br /><strong>Date de la commande : </strong><strong><span class="value_paiement">%DATE% </span></strong><strong></strong><br /><strong>R&eacute;f&eacute;rence de commande : </strong><strong><span class="value_paiement">%REF% </span></strong><strong></strong><br /><strong>Adresse e-mail : </strong><strong><span class="value_paiement">%EMAIL% </span></strong></span></p>
<p style="text-align: left;">&nbsp;</p>
<p style="text-align: left;">4 - Une fois le ch&egrave;que re&ccedil;u, vous recevrez un avis d\'exp&eacute;dition<br /><br />5 - Imprimez votre bon de commande</p>
<p style="text-align: left;">&nbsp;</p>','paiement_nom_txt_email' => '','langue_id' => '1'),
            array('paiement_nom_id' => '3','paiement_id' => '3','paiement_nom_nom' => 'Virement','paiement_nom_description' => 'R&eacute;gler votre commande par Virement.','paiement_nom_txt_template' => '<p>1 - Envoyer votre ordre de virement sur le RIB ou IBAN suivant :</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RIB : XXXXXXXXXXXXXXXXXXXXX<br /><br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; IBAN : XXXXXXXXXXXXXXXXX<br /><br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; BIC : XXXXXXXXXXXXXX<br /><br />2 - Inscrivez la <strong>r&eacute;f&eacute;rence de votre commande</strong> dans le libell&eacute; du virement, (adresse email de notification : contact@dedi-agency.com)</p>
<p><span style="text-align: center; display: block; color: #96a519;"><span style="color: #96a519;"><br /></span></span><span style="text-align: center; display: block; color: #96a519;"><span style="color: #96a519;"><span style="color: #804200;"><strong><span style="text-align: center; display: block; color: #804200;"><strong>SARL MA SOCIETE</strong><strong><br /></strong><strong>1 Boulevard XXX</strong></span><span style="text-align: center; display: block; color: #804200;"><strong>69009 Venissieux - France</strong></span></strong></span><br /></span><br /></span></p>
<p style="border: 1px solid #804200; width: 70%; margin-left: auto; margin-right: auto; padding-left: 50px; padding-top: 10px; padding-bottom: 10px;"><span style="color: #000000;"><strong>Montant &agrave; r&eacute;gler : <span class="value_paiement">%MONTANT% &euro;</span> </strong><br /><strong>Date de la commande : </strong><strong><span class="value_paiement">%DATE% </span></strong><strong></strong><br /><strong>R&eacute;f&eacute;rence de commande : </strong><strong><span class="value_paiement">%REF% </span></strong><strong></strong><br /><strong>Adresse e-mail : </strong><strong><span class="value_paiement">%EMAIL% </span></strong></span></p>
<p>&nbsp;</p>
<p>4 - Une fois le virement re&ccedil;u, vous recevrez un avis d\'exp&eacute;dition<br /><br />5 - Imprimez votre bon de commande</p>','paiement_nom_txt_email' => '','langue_id' => '1')
        );

        $this
            ->table('paiement_nom')
            ->insert($paiement_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('paiement')
            ->truncate();
        $this
            ->table('paiement_boutique')
            ->truncate();
        $this
            ->table('paiement_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
