<?php

namespace Controller;

use Shopbydedi\Panier;

/**
 * Class HeaderController
 *
 * @package Controller
 */
class HeaderController extends Controller
{
    /**
     * @return \Symfony\Component\HttpFoundation\Response
     * @throws \Exception
     * @throws \SmartyException
     */
    public function display()
    {
        $panier = Panier::getInstance();
        $this->template->assign('count_product', $panier->getCountProducts());

        return $this->fetch('parts/header.tpl');
    }

}