
{extends file='layout/layout.tpl'}
{block name='content'}
    <div class="col-lg-12 col-sm-6 col-xs-12">
        <div class="container">
            {Breadcrumb::getInstance()->render()}
            {include file="account/account_top.tpl"}

            <div class="account-menu">
                {include file="account/account_menu.tpl" page="compte_filleul"}
            </div>

            <div class="account-panel referals">
                <h1 class="bottom-grey-border">{txt value="Mes filleules"}</h1>
                <table id="commandes" class="table table-responsive">
                    <tr class="head">
                        <th class="txt-center">{txt value="Nom"}</th>
                        <th class="txt-center">{txt value="Prenom"}</th>
                        <th class="txt-center">{txt value="Email"}</th>
                    </tr>
                    {foreach $filleuls as $filleul}
                        <tr>
                            <td>{$filleul.client_nom}</td>
                            <td>{$filleul.client_prenom}</td>
                            <td>{$filleul.client_email}</td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td colspan="6">{txt value="Aucune filleuls."}</td>
                        </tr>
                    {/foreach}
                </table>
                <a class="btn btn-red pull-right" href="{url page="compte_parrainage"}">
                    {txt value="Parrainage"}
                </a>
            </div>
        </div>
    </div>
{/block}
