{extends file="layout/layout.tpl"}

{block name="content"}

    <div class="homePage">
        <div class="container">
            {* SLIDER PRINCIPAL*}
            {if !empty($slideshows)}
                <section class="sliderHome">
                    <div class="mainSliderHome basicSlider owl-carousel owl-responsive-1200">
                        {foreach $slideshows as $slideshow}
                            <div class="slide">
                                <a href="{$slideshow.ads_nom_lien|default:'#null'}">
                                    {image src=$slideshow.ads_nom_image width=1150 height=340 class="img-responsive"}
                                </a>
                            </div>
                        {/foreach}
                    </div>
                </section>
            {/if}
            {* SLIDER PRINCIPAL*}

            {* BANNERS CMS HOMEPAGE*}
            {*<section class="bannersHome">*}
                {*{if !empty($blocs_image)}*}
                    {*<div class="cmsRowWrapper">*}
                        {*<div class="container">*}
                            {*<div class="row">*}
                                {*{foreach $blocs_image as $bi}*}
                                    {*<div class="cmsBlock col-sm-6 imgBackgroundBlock">*}
                                        {*<div class="cmsImg">*}
                                            {*{image src=$bi.ads_nom_image width=565 height=200 class="img-responsive"}*}
                                        {*</div>*}
                                        {*<a href="{$bi.ads_nom_lien|default:'#null'}" class="cmsTextWrapper">*}
                                            {*<span class="cmsTitle titleLvl2">{$bi.ads_nom_nom}&nbsp;{include file="icons/arrow.tpl"}</span>*}
                                            {*<span class="cmsDesc">{$bi.ads_nom_texte}</span>*}
                                        {*</a>*}
                                        {*<div class="clear"></div>*}
                                    {*</div>*}
                                {*{/foreach}*}
                            {*</div>*}
                        {*</div>*}
                    {*</div>*}
                {*{/if}*}
            {*</section>*}
            {* BANNERS CMS HOMEPAGE*}

            {* GAMMES LINKS*}
            {*{if !empty($blocs_bouton)}*}
                {*<section class="gammesHome">*}
                    {*<div class="row">*}
                        {*{foreach $blocs_bouton as $bbtn}*}
                            {*<div class="col-lg-4 col-sm-4 col-xs-12">*}
                                {*<a href="{$bbtn.ads_nom_lien|default:'#null'}" class="gammeBlock" style="background-color: {$bbtn.ads_couleur|default:'#00c48c'};">*}
                                    {*<span>{$bbtn.ads_nom_nom}</span>*}
                                    {*{include file="icons/arrow.tpl"}*}
                                {*</a>*}
                            {*</div>*}
                        {*{/foreach}*}
                    {*</div>*}
                {*</section>*}
            {*{/if}*}
            {* GAMMES LINKS*}


            {* PRODUCTS SELECTION*}
            {if !empty($gamme_push)}
                <section class="productsSelectionHome">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="productsSliderWrapper">
                                <div class="sliderTitle">
                                    <h2 class="subTitle">{txt value="La sélection de produits"}</h2>
                                    <h3 class="titleLvl1">{$gamme_push.gamme_nom_nom}</h3>
                                </div>
                                <div class="productsSlider owl-carousel owl-responsive-1200">
                                    {foreach $products_gamme_push as $prod_gam}
                                        <div class="slide">
                                            {include file="product/listing.tpl" produit=$prod_gam}
                                        </div>
                                    {/foreach}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-sm-offset-3 col-md-offset-4">
                        <a href="{url page="gamme" gamme_nom_nom=$gamme_push.gamme_nom_nom gamme_id=$gamme_push.gamme_id}" class="btn btnSecondary smaller wide">{txt value="Tout la séléction "}{$gamme_push.gamme_nom_nom}</a>
                    </div>
                </section>
            {/if}
        </div>
    </div>
{/block}

