<!-- parts/header.tpl -->

{* //HEADER *}
<header class="header {if !empty($processPanier)}headerProcess{/if}" id="header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-12">
                <div class="topHeader center">
                    {if !empty($home)}
                        <h1 class="baseline">{txt value="Exemple de H1 - titre de la baseline"}</h1>
                    {else}
                        <p class="baseline">{txt value="Exemple de H1 - titre de la baseline"}</p>
                    {/if}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="middleHeader">
                <div class="container">
                    <div class="row">
                        <div class="col-xs-12">
                            <a href="#null" class="pictoMenu hidden-lg">
                                {include file="icons/menu-button.tpl"}
                            </a>
                            <a href="{url page="home"}" class="logo">
                                <img src="{$themeFolder}/images/logo-vanilla-dedi.svg" alt="{txt key="alt_logo" value="logo démo"}" class="img-responsive">
                            </a>
                            <div class="searchHeader" id="searchHeader">
                                {*{if !empty($headerSimplifie) && $headerSimplifie == false}*}
                                    <form action="{url page="recherche"}" class="wrapTextSubmit wrapSearch">
                                        <input type="text" name="motclef" value="" placeholder="{txt value="Rechercher un produit, une marque..."}" />
                                        <button type="submit">{include file="icons/search.tpl"}</button>
                                    </form>
                                {*{/if}*}
                            </div>
                            <div class="headerLinksWrapper">
                                <button class="svgSearch" id="btnSearchHeader" type="button">
                                    {include file="icons/search.tpl"}
                                </button>
                                <div class="headerLink account hidden-xs">
                                    <a href="{url page="compte"}">
                                        {include file="icons/user.tpl"}
                                    </a>
                                </div>
                                <div class="headerLink cart">
                                    <a href="{url page="panier"}">
                                        {include file="icons/cart.tpl"}
                                        <span class="count">{$count_product|default:0}</span>
                                    </a>
                                </div>
                            </div>
                            <div class="helpProcess right">
                                <p>
                                    <span class="txt">{txt key="header_simple_text" value="Vous avez une question ?"}</span>
                                    <span class="tel">{txt key="numero_telephone" value="04 00 00 00 00"}</span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            {* //MENU *}
            {*{if !empty($headerSimplifie) && $headerSimplifie == false}*}
                <div class="wrapMenu {if !empty($processPanier)}hidden{/if}">
                    {render controller="Controller\MenuController" action="display"}
                </div>
                {* MENU// *}
            {*{/if}*}
        </div>
    </div>

</header>