<nav class="menu">
    <div class="container">
        <div class="row">
            <div class="headerMenuMobile visible-xs visible-sm visible-md">
                <a href="#" class="pictoMenu hidden-lg"></a>
                <img src="{$themeFolder}/images/logo-vanilla-dedi.svg" alt="" class="logo">
            </div>
            <ul class="mainMenu">
                {foreach $arrMenu as $menu}
                    <li class="firstLevel levelBlock {if empty($menu.children)}hasNoChildren{/if}">
                        <a href="{url page="liste_1" categorie_nom=$menu.categorie_nom_nom id=$menu.categorie_id}" class="goDirect title">
                            <span>{$menu.categorie_nom_nom}</span>
                        </a>
                        {if !empty($menu.children)}
                            <a href="#" class="goDown"></a>
                            <ul class="subMenuUl secondLevelWrapper">
                                <li class="back">
                                    <a href="{url page="liste_1" categorie_nom=$menu.categorie_nom_nom id=$menu.categorie_id}" class="backLink">{$menu.categorie_nom_nom}</a>
                                </li>
                                <li class="subMenu">
                                    <ul>
                                        {foreach $menu.children as $smenu}
                                            <li class="secondLevel levelBlock">
                                                <a href="{url page="liste_2" parent_nom=$menu.categorie_nom_nom categorie_nom=$smenu.categorie_nom_nom id=$smenu.categorie_id}" class="goDirect title">
                                                    {if !empty($smenu.categorie_image)} {* Image Version desktop *}
                                                        {image src=$smenu.categorie_image width="42" height="42" class="visible-md"}
                                                    {/if}
                                                    {if !empty($smenu.categorie_image_mobile)} {* Image Version mobile *}
                                                        {image src=$smenu.categorie_image_mobile width="42" height="42" class="visible-xs"}
                                                    {/if}
                                                    <span>{$smenu.categorie_nom_nom}</span>
                                                </a>
                                                <a href="#" class="goDown"></a>
                                                <ul class="subMenuUl thirdLevelWrapper">
                                                    <li class="back">
                                                        <a href="{url page="liste_2" parent_nom=$menu.categorie_nom_nom categorie_nom=$smenu.categorie_nom_nom id=$smenu.categorie_id}" class="backLink">{$smenu.categorie_nom_nom}</a>
                                                    </li>
                                                    {if !empty($smenu.children)}
                                                        {foreach $smenu.children as $ssmenu}
                                                            {if !empty($desktop) && ($ssmenu@first || $ssmenu@index%12 == 0)}
                                                                <li><ul>
                                                            {/if}
                                                            <li class="thirdLevel">
                                                                <a href="{url page="liste_3" grand_parent_nom=$menu.categorie_nom_nom parent_nom=$smenu.categorie_nom_nom categorie_nom=$ssmenu.categorie_nom_nom id=$ssmenu.categorie_id}" class="goDirect"><span>{$ssmenu.categorie_nom_nom}</span></a>
                                                            </li>
                                                            {if !empty($desktop) && ($ssmenu@last || $ssmenu@iteration%12 == 0)}
                                                                </ul></li>
                                                            {/if}
                                                        {/foreach}
                                                    {/if}
                                                </ul>
                                            </li>
                                        {/foreach}
                                    </ul>
                                </li>
                            </ul>
                        {/if}
                    </li>
                {/foreach}

                {*AUTRES MENUS SIMPLES VISIBLES UNIQUEMENT SUR MOBILE*}
                <li class="firstLevel levelSimple foldType hidden-md hidden-lg">
                    {*{if $isConnected}*}
                    <a href="{url page="compte"}" class="goDirect title">{include file="icons/user.tpl"}{txt value="Mon compte"}</a>
                    <a href="#null" class="unfoldLink"></a>
                    <ul class="foldMenuUl secondLevelWrapper">
                        <li class="secondLevel">
                            <a href="{url page="commande"}" class="goDirect">{txt value="Mes commandes"}</a>
                        </li>
                        <li class="secondLevel">
                            <a href="{url page="modif_compte"}" class="goDirect">{txt value="Mes infos"}</a>
                        </li>
                        <li class="secondLevel">
                            <a href="{url page="adresses"}" class="goDirect">{txt value="Mes adresses"}</a>
                        </li>
                    </ul>
                </li>
                <li class="firstLevel levelSimple hidden-md hidden-lg">
                    <a href="{url page="compte_sav"}" class="goDirect title">{include file="icons/contact.tpl"}{txt value="Contactez-nous"}</a>
                </li>
                {* // AUTRES MENUS SIMPLES VISIBLES UNIQUEMENT SUR MOBILE*}
            </ul>
        </div>
    </div>
</nav>