<!--form/login.tpl-->

<form class="form" action="{url page="login_post"}" name="form_login" method="post" data-ajf>

    <div class="card-body">

        <div data-result>
            {include file="elements/alert.tpl" tag="p" context="" class="" icon=false text=""}
        </div>

        {if !empty($smarty.get.origin)}
            <input type="hidden" name="origin" value="{$smarty.get.origin}" />
        {/if}
        <div class="row">
            <div class="col-12">
                {include file="form/input/text.tpl" name="client_email" required=true label={txt value="Email"}}
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                {include file="form/input/password.tpl" name="client_password" required=true label={txt value="Mot de passe"}}
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <a href="{url page='oubli'}" class="link float-right">{txt key="login_password" value="Mot de passe oublié ?"}</a>
                </div>
            </div>
        </div>
    </div>

    <div class="card-footer">
        <em class="text-muted">
            {txt value="* champs obligatoires"}
        </em>
        <button type="submit" class="btn btn-secondary">{txt key="login_btn" value="Je me connecte"}</button>
    </div>
</form>